Mailinglist Archive: opensuse-bugs (13042 mails)

< Previous Next >
[Bug 465124] New: fglrx driver (ati-driver-installer-8-11-x86.x86_64) does not install correctly on openSUSE 11.1
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sat, 10 Jan 2009 08:26:06 -0700 (MST)
  • Message-id: <bug-465124-21960@xxxxxxxxxxxxxxxxxxxxxxxxx/>
https://bugzilla.novell.com/show_bug.cgi?id=465124


Summary: fglrx driver (ati-driver-installer-8-11-x86.x86_64) does
not install correctly on openSUSE 11.1
Product: openSUSE 11.1
Version: Final
Platform: x86-64
OS/Version: openSUSE 11.1
Status: NEW
Severity: Normal
Priority: P5 - None
Component: X.Org
AssignedTo: sndirsch@xxxxxxxxxx
ReportedBy: keith.goggin@xxxxxxxxxxx
QAContact: xorg-maintainer-bugs@xxxxxxxxxxxxxxxxxxxxxx
Found By: ---


The fglrx driver does not install correctly on openSUSE 11.1 but can be easily
corrected as reported by "coomac" in
http://forums.opensuse.org/pre-release-beta/399274-ati-11-1-a-2.html (see
below)

I observed this problem when installing Google earth and received the following
error.

"./googleearth-bin: error while loading shared libraries: libGL.so.1: cannot
open shared object file: No such file or directory"

The fix described by "coomac" solved my problem.

Quote from forums.opensuse.org

I spent the entire weekend trying to find a way around the X Error of failed
request: BadRequest (invalid request code or no such operation) message. The
solution turned out to be so simple I could cry.

I'm using opensuse 11.1 x86_64 - I assume you're using the same. The error was
because the i386 dri module was being loaded. So, remove
/usr/lib/dri/fglrx_dri.so and replace it with a simlink to its 64 bit
counterpart:

ln -s /usr/lib64/dri/fglrx_dri.so /usr/lib/dri/fglrx_dri.so

End Quote

It is sad this problem was discussed and solved on an openSUSE forum in mid
November 2008 and yet did not make it into GM. I know "coomac" would have been
well advised to create a bug report as well as report his fix in the forum, but
I do wonder sometimes if Novell are listening.


--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
Follow Ups